package com.hzya.frame.plugin.lets.util;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.ttxofs.dto.ofssalesordersearch.HeaderDetailsDto;
import com.hzya.frame.ttxofs.dto.ofssalesordersearch.SaleOrderMessageDto;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.List;

import static org.junit.Assert.*;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.util
 * @Project：kangarooDataCenterV3
 * @name：OfsOrderSaleAmountAllocationUtilTest
 * @Date：2024/9/25 18:31
 * @Filename：OfsOrderSaleAmountAllocationUtilTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class OfsOrderSaleAmountAllocationUtilTest {

    @Autowired
    private OfsOrderSaleAmountAllocationUtil ofsOrderSaleAmountAllocationUtil;

    @Autowired
    private AfterSalesOrderUtil afterSalesOrderUtil;

    @Test
    public void tocSalesAmountAllocation() {
        try {
            SaleOrderMessageDto ofsOrder = afterSalesOrderUtil.getOfsOrder("LETS-SO2024092500000020");
            List<HeaderDetailsDto> data = ofsOrder.getData();
            if (data.size() > 0) {
                ofsOrderSaleAmountAllocationUtil.tocSalesAmountAllocation(data.get(0));
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}